CC****************************************************************
      PROGRAM whis 
C Calcula el mapa de la separatriz
CC****************************************************************
      IMPLICIT REAL*8(a-h,o-z)
      OPEN(21,FILE='whis.dat')
      READ(21,*)xlambda,W
      READ(21,*)N,icada
      READ(21,*)s,t
      CLOSE(21)
      OPEN(31,FILE='whis.out')
      dospi=8.d0*DATAN(1.d0)
      pi=dospi/2.d0
      WRITE(31,*)t,s
      G=xlambda*DLOG(32.d0/W)
      DO 4 i=1,N
      s=s-DSIN(t)
      t=t-xlambda*DLOG(DABS(s))+G
      t=DMOD(t,dospi)
       IF(t.lt.0.d0) t=t+dospi
       IF(t.GT.pi)t=t-dospi
       IF(mod(i,icada).EQ.0)WRITE(31,*)t,s 
    4 CONTINUE
      END

